package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TbSchool;

/**
 * 学校信息Service接口
 * 
 * @author ruoyi
 * @date 2022-08-29
 */
public interface ITbSchoolService 
{
    /**
     * 查询学校信息
     * 
     * @param id 学校信息主键
     * @return 学校信息
     */
    public TbSchool selectTbSchoolById(Long id);

    /**
     * 查询学校信息列表
     * 
     * @param tbSchool 学校信息
     * @return 学校信息集合
     */
    public List<TbSchool> selectTbSchoolList(TbSchool tbSchool);

    public List<TbSchool> selectTbSchoolNotPassList(TbSchool tbSchool);

    public List<TbSchool> selectAllTbSchoolList();

    /**
     * 新增学校信息
     * 
     * @param tbSchool 学校信息
     * @return 结果
     */
    public int insertTbSchool(TbSchool tbSchool);

    /**
     * 修改学校信息
     * 
     * @param tbSchool 学校信息
     * @return 结果
     */
    public int updateTbSchool(TbSchool tbSchool);

    /**
     * 更新审核状态和结果
     * @param tbSchool
     * @return
     */
    public int updateCheckStatus(TbSchool tbSchool);

    /**
     * 批量删除学校信息
     * 
     * @param ids 需要删除的学校信息主键集合
     * @return 结果
     */
    public int deleteTbSchoolByIds(String ids);

    /**
     * 删除学校信息信息
     * 
     * @param id 学校信息主键
     * @return 结果
     */
    public int deleteTbSchoolById(Long id);
}
